"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-socketio
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketIoExampleApplication = void 0;
const tslib_1 = require("tslib");
const boot_1 = require("@loopback/boot");
const socketio_1 = require("@codeloop/socketio");
const debug_1 = tslib_1.__importDefault(require("debug"));
const controllers_1 = require("./controllers");
const debug = debug_1.default('loopback:example:socketio:demo');
class SocketIoExampleApplication extends boot_1.BootMixin(socketio_1.SocketIoApplication) {
    constructor(options = {}) {
        super(options);
        this.projectRoot = __dirname;
        this.socketServer.use((socket, next) => {
            debug('Global middleware - socket:', socket.id);
            next();
        });
        const ns = this.socketServer.route(controllers_1.SocketIoController);
        ns.use((socket, next) => {
            debug('Middleware for namespace %s - socket: %s', socket.nsp.name, socket.id);
            next();
        });
    }
}
exports.SocketIoExampleApplication = SocketIoExampleApplication;
//# sourceMappingURL=application.js.map